APIDatabase management

Rotate database password

Rotates the password for the specified database and returns the updated database with new password

Rotates the password for the specified database and returns the updated database with new password

POST
/api/client/servers/{server}/databases/{database}/rotate-password

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server ID

database*string

Database ID

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/string/databases/string/rotate-password"
{
  "object": "server_database",
  "attributes": {
    "id": "string",
    "host": {
      "address": "string",
      "port": 0
    },
    "name": "string",
    "username": "string",
    "connections_from": "string",
    "max_connections": 0,
    "relationships": {
      "password": {
        "object": "database_password",
        "attributes": {
          "password": "string"
        }
      }
    }
  }
}
Empty
Empty
Empty
Empty